Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can't run "emerge --ask sys-kernel/gentoo-sources"
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
homosapien99
n00b
n00b


Joined: 30 May 2019
Posts: 4

PostPosted: Thu May 30, 2019 2:11 am    Post subject: Can't run "emerge --ask sys-kernel/gentoo-sources" Reply with quote

Hello, I'm trying to setup Gentoo for SPARC. In the handbook it asks me to do run
Code:
emerge --ask sys-kernel/gentoo-sources

however this gives me this error:
Quote:
The current version of portage supports EAPI '5'. You must upgrade to a
newer version of portage before EAPI masked packages can be installed.
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

How do I fix this? I've looked a lot online and I can't find an answer. Nothing I've done has come close to fixing it. This is on the livecd for reference.
Back to top
View user's profile Send private message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 3121
Location: Illinois, USA

PostPosted: Thu May 30, 2019 2:36 am    Post subject: Reply with quote

Quote:
You must upgrade to a
newer version of portage


emerge -1 portage
Back to top
View user's profile Send private message
homosapien99
n00b
n00b


Joined: 30 May 2019
Posts: 4

PostPosted: Thu May 30, 2019 2:38 am    Post subject: Reply with quote

Quote:
The current version of portage supports EAPI '5'. You must upgrade to a
newer version of portage before EAPI masked packages can be installed.
(dependency required by "sys-apps/portage-2.3.66-r1" [ebuild])
(dependency required by "portage" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
jburns
Veteran
Veteran


Joined: 18 Jan 2007
Posts: 1052
Location: Massachusetts USA

PostPosted: Thu May 30, 2019 2:50 am    Post subject: Reply with quote

If your using the multilib stage 3 download it has a date of 2014-12-01 which is old. The non-multilib stage 3 download has a date of 2019-05-26.
Back to top
View user's profile Send private message
homosapien99
n00b
n00b


Joined: 30 May 2019
Posts: 4

PostPosted: Thu May 30, 2019 2:58 am    Post subject: Reply with quote

Well the handbook says that "Those who are just starting out with Gentoo should not choose a no-multilib tarball unless it is absolutely necessary." Is it really necessary that I should switch to the non-multilib one, if that's what you're implying?
Back to top
View user's profile Send private message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 3121
Location: Illinois, USA

PostPosted: Thu May 30, 2019 3:02 am    Post subject: Reply with quote

If your portage is five years out of date you must find intermediate ebuilds and tarballs and work your way up the chain. I wish that old versions of these important packages were kept, but I have no control over the devs. I'm just another user like you.
It sounds like multilib on SPARC is no longer supported.
Back to top
View user's profile Send private message
homosapien99
n00b
n00b


Joined: 30 May 2019
Posts: 4

PostPosted: Thu May 30, 2019 3:06 am    Post subject: Reply with quote

Alright, I'll use the non-multilib one
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13997

PostPosted: Fri May 31, 2019 1:25 am    Post subject: Reply with quote

The advice to prefer multilib is mainly important to amd64, where it's somewhat common to encounter proprietary software that was never rebuilt for 64-bit mode. If you will be using only open source packages, multilib is less useful to you.
Back to top
View user's profile Send private message
argen
n00b
n00b


Joined: 26 Apr 2019
Posts: 25

PostPosted: Fri May 31, 2019 9:08 am    Post subject: Reply with quote

And if you absolutely need 32 bit libraries/binaries in the future it is possible to migrate to multilib with crossdev, you aren't completely locked in to no-multilib. Just a thought.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43435
Location: 56N 3W

PostPosted: Fri May 31, 2019 11:30 pm    Post subject: Reply with quote

homosapien99,

Get the stage3 and minimal CD at that link.
Going from EAPI5 to EAPI7 is a Gentoo learning opportunity you can avoid if you are doing a fresh install.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43435
Location: 56N 3W

PostPosted: Fri May 31, 2019 11:31 pm    Post subject: Reply with quote

Moved from Portage & Programming to Gentoo on Sparc.
It fits better here.

The SPARC profiles are
profiles.desc:
# SPARC Profiles
sparc           default/linux/sparc/13.0                        exp
sparc           default/linux/sparc/13.0/desktop                exp
sparc           default/linux/sparc/13.0/desktop/gnome          exp
sparc           default/linux/sparc/13.0/desktop/gnome/systemd  exp
sparc           default/linux/sparc/13.0/developer              exp
sparc           default/linux/sparc/17.0                        exp
sparc           default/linux/sparc/17.0/desktop                exp
sparc           default/linux/sparc/17.0/desktop/gnome          exp
sparc           default/linux/sparc/17.0/desktop/gnome/systemd  exp
sparc           default/linux/sparc/17.0/developer              exp


So /no-multilib/ is not an option. When I used to run a U10, it was a 64 bit kernel and 32 bit userland.
The 64 bit userland halved the number of CPU registers, since SPARC puts two together to make 64 bit registers.

I know work on multilib was started but as there is no profile, is not available today.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum